angular.module("app").directive("columnSettings", function($rootScope, $timeout, SQEvents, SQConstants) {
    return {
        restrict: 'E',
        replace: true,
        templateUrl: "../app/directives/columnSettings/columnSettings.html",
        scope: {
            instance: '=',
            onChange: '=',
            type: '@'
        },
        controller: 'ColumnSettingsCtrl'
    };
});